View Issue Details

IDProjectCategoryView StatusLast Update
0003148Ham Radio DeluxeBugpublic2019-02-24 15:13
ReporterK7ZCZAssigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version6.5.0.188 
Target VersionFixed in Version6.5.0.196 
Summary0003148: Digital Master formerly stored EQSL, QRZ passwords in plain text
DescriptionThe digital master application, in previous versions, had built-in code to perform QRZ and EQSL call sign lookups. Passwords for these services were stored in the config file for the application, and were stored without encryption.

While the code to perform lookups was moved to the logbook application, the configuration UI for the lookup feature remained in the application until recently. The settings management code remains.
TagsNo tags attached.
ModuleDM780
Sub-Module(select)
Testing Beta Successful

Activities

K7ZCZ

2019-02-01 18:18

administrator   ~0007208

This checkin removes the eqSL and QRZ passwords, plus other settings that were written to the DM780 config file to support the lookup of callsigns back when DM780 included that feature. Now, DM780 relies on Logbook to provide the work.

https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4800

My read of the config code is that it will read the file at startup, then write it out again at shutdown -- or any time that the setting are saved. My call is that the settings which are no longer defined aren't read (not kept in memory) and won't be re-written. So the issue of unprotected credentials lying around on disk will disappear the next time the user runs the application.

If this analysis is incorrect, we'll need to add code that seeks out the obsolete setting and erases them.

WA9PIE

2019-02-10 21:53

administrator   ~0007349

I read the code and tested lookups in DM-780. They worked as expected.

Issue History

Date Modified Username Field Change
2019-02-01 18:11 K7ZCZ New Issue
2019-02-01 18:18 K7ZCZ Note Added: 0007208
2019-02-01 18:19 K7ZCZ Assigned To => K7ZCZ
2019-02-01 18:19 K7ZCZ Status new => resolved
2019-02-01 18:19 K7ZCZ Resolution open => fixed
2019-02-06 11:18 K7ZCZ Fixed in Version => 6.5.0.191
2019-02-10 21:53 WA9PIE Status resolved => closed
2019-02-10 21:53 WA9PIE Testing Not Started => Beta Successful
2019-02-10 21:53 WA9PIE Note Added: 0007349
2019-02-24 14:36 WA9PIE Fixed in Version 6.5.0.191 => 6.5.0.196
2019-02-24 15:13 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe